curl --request PATCH \
--url https://api.treasuryprime.com/document/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "OR Drivers License"
}
'import requests
url = "https://api.treasuryprime.com/document/{id}"
payload = { "name": "OR Drivers License" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'OR Drivers License'})
};
fetch('https://api.treasuryprime.com/document/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bankdata": {},
"created_at": "2021-03-25T21:31:50Z",
"fields": {
"date_of_birth": "1980-03-15"
},
"file_id": "file_567890",
"id": "doc_123456",
"name": "OR Drivers License",
"type": "drivers_license",
"updated_at": "2021-03-25T21:31:50Z",
"userdata": {}
}Update a Document
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Body
The document to update
Optional arbitrary data the bank can attach to the object
Object representing the data encoded in the Document
A descriptive name for the document
One of: drivers_license, military_id, passport, state_id, other
Optional arbitrary data the user can attach to the object
Response
The document updated
ID of the bank with which the object is associated
Optional arbitrary data the bank can attach to the object
Description (deprecated)
Object representing the data encoded in the Document
The unique ID for an attached File
Unique identifier for object
A descriptive name for the document
ID of the organization with which the object is associated
One of: drivers_license, military_id, passport, state_id, other
Optional arbitrary data the user can attach to the object
Was this page helpful?